<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.biologicoCicloActividad.home.createOrEditLabel"
          data-cy="CicloActividadCreateUpdateHeading"
          v-text="$t('gatewayApp.biologicoCicloActividad.home.createOrEditLabel')"
        >
          Create or edit a CicloActividad
        </h2>
        <div>
          <div class="form-group" v-if="cicloActividad.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="cicloActividad.id" readonly />
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.biologicoCicloActividad.periodoCiclo')"
              for="ciclo-actividad-periodoCiclo"
              >Periodo Ciclo</label
            >
            <input
              type="number"
              class="form-control"
              name="periodoCiclo"
              id="ciclo-actividad-periodoCiclo"
              data-cy="periodoCiclo"
              :class="{ valid: !$v.cicloActividad.periodoCiclo.$invalid, invalid: $v.cicloActividad.periodoCiclo.$invalid }"
              v-model.number="$v.cicloActividad.periodoCiclo.$model"
            />
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.biologicoCicloActividad.cantidad')" for="ciclo-actividad-cantidad"
              >Cantidad</label
            >
            <input
              type="number"
              class="form-control"
              name="cantidad"
              id="ciclo-actividad-cantidad"
              data-cy="cantidad"
              :class="{ valid: !$v.cicloActividad.cantidad.$invalid, invalid: $v.cicloActividad.cantidad.$invalid }"
              v-model.number="$v.cicloActividad.cantidad.$model"
            />
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.biologicoCicloActividad.fechaInicioCiclo')"
              for="ciclo-actividad-fechaInicioCiclo"
              >Fecha Inicio Ciclo</label
            >
            <div class="d-flex">
              <input
                id="ciclo-actividad-fechaInicioCiclo"
                data-cy="fechaInicioCiclo"
                type="datetime-local"
                class="form-control"
                name="fechaInicioCiclo"
                :class="{ valid: !$v.cicloActividad.fechaInicioCiclo.$invalid, invalid: $v.cicloActividad.fechaInicioCiclo.$invalid }"
                :value="convertDateTimeFromServer($v.cicloActividad.fechaInicioCiclo.$model)"
                @change="updateInstantField('fechaInicioCiclo', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.biologicoCicloActividad.biologico')" for="ciclo-actividad-biologico"
              >Biologico</label
            >
            <select
              class="form-control"
              id="ciclo-actividad-biologico"
              data-cy="biologico"
              name="biologico"
              v-model="cicloActividad.biologico"
            >
              <option v-bind:value="null"></option>
              <option
                v-bind:value="
                  cicloActividad.biologico && biologicoOption.id === cicloActividad.biologico.id
                    ? cicloActividad.biologico
                    : biologicoOption
                "
                v-for="biologicoOption in biologicos"
                :key="biologicoOption.id"
              >
                {{ biologicoOption.id }}
              </option>
            </select>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.biologicoCicloActividad.vacuna')" for="ciclo-actividad-vacuna"
              >Vacuna</label
            >
            <select class="form-control" id="ciclo-actividad-vacuna" data-cy="vacuna" name="vacuna" v-model="cicloActividad.vacuna">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="cicloActividad.vacuna && vacunaOption.id === cicloActividad.vacuna.id ? cicloActividad.vacuna : vacunaOption"
                v-for="vacunaOption in vacunas"
                :key="vacunaOption.id"
              >
                {{ vacunaOption.id }}
              </option>
            </select>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.biologicoCicloActividad.user')" for="ciclo-actividad-user">User</label>
            <select class="form-control" id="ciclo-actividad-user" data-cy="user" name="user" v-model="cicloActividad.user">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="cicloActividad.user && userOption.id === cicloActividad.user.id ? cicloActividad.user : userOption"
                v-for="userOption in users"
                :key="userOption.id"
              >
                {{ userOption.login }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.cicloActividad.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./ciclo-actividad-update.component.ts"></script>
